Bug 142856 - 'ghosted' autofs shares disappear
Summary: 'ghosted' autofs shares disappear
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Moyer
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
: 196028 (view as bug list)
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2004-12-14 18:18 UTC by Issue Tracker
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 14:39:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix the "no such file or directory" errors when using the --ghost option (1.14 KB, patch)
2005-06-09 18:29 UTC, Jeff Moyer
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Issue Tracker 2004-12-14 18:18:47 UTC
Escalated to Bugzilla from IssueTracker

Comment 3 Jeff Moyer 2004-12-15 18:46:05 UTC
autofs version?
kernel version?
output from lsmod?


Comment 7 Jeff Moyer 2005-01-31 13:16:32 UTC
The sysreport does not contain the autofs version.  At least, I don't know where
to look for it if it does.  As such, I'm leaving this bug in NEEDINFO.

Comment 9 Jeff Moyer 2005-02-11 19:11:12 UTC
Please include the auto.master and related maps for this.  This sounds
related to the map update work I'm doing.

Comment 15 Jeff Moyer 2005-04-05 20:17:11 UTC
The customer says they enabled debug, and the logs didn't say anything
interesting.  Make sure they are capturing all of the debug messages.

Add an entry to /etc/syslog.conf that looks like so:

*.*    /var/log/debug

Then restart syslogd.

Presumably the customer knows how to enable debugging for autofs.  You simply
append a --debug to the line in auto.master that you want to debug.

Restart autofs.  When the problem occurs, have them send the logs, whether or
not they think the logs show anything interesting.

Comment 20 Jeff Moyer 2005-06-09 18:27:30 UTC
I have reproduced this in my environment.  The reproducer follows:

auto.master:
/segfault       /etc/auto.segfault --ghost --timeout=4

auto.segfault:
multi   /       segfault:/export/multi \
        /foo    segfault:/export/multi/thefoodir

Start the automounter, and then run this script:

while true;
do
        cat /segfault/multi/foo/bar > /dev/null
        if [ $? -ne 0 ]; then
                tail -n 200 /var/log/messages > /tmp/failurelog.`date`
                echo "Failed!"
                exit 1
        fi
        sleep 4
done

The file, bar, is actually a copy of a kernel.  I did this just to give the file
a reasonable size:

-rw-r--r--    1 root     root         1.4M Jun  9  2005 /segfault/multi/foo/bar

The script will exit and print an error when we receive no such file or
directory.  At that point, an ls of /segfault/multi/foo will fail.  An ls of
/segfault/multi will then remount the whole tree, and subsequent accesses will
succeed.

I have a kernel patch for this which fixes the problem in my environment.  I
will attach it shortly.

Comment 21 Jeff Moyer 2005-06-09 18:29:27 UTC
Created attachment 115270 [details]
Fix the "no such file or directory" errors when using the --ghost option

Can we get the customer to test this patch, please?  Leaving in NEEDINFO,
pending test results.

Comment 22 Ernie Petrides 2005-06-17 22:54:10 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.9.EL).


Comment 31 Red Hat Bugzilla 2005-09-28 14:39:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html


Comment 32 Jeff Moyer 2006-07-05 21:06:23 UTC
*** Bug 196028 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.